Pull with error: _ssl.c:510

Issue #17701 new
Champagne
created an issue

hi

I can't pull mercurial depot on linux server :

hg pull https://pc-baro@bitbucket.org/pc-baro/vorg2
pulling from https://pc-baro@bitbucket.org/pc-baro/vorg2 abort: error: _ssl.c:510: error:1408F10B:SSL routines:SSL3_GET_RECORD:wrong version number

Thanks

Comments (1)

  1. STARS UK

    This relates to https://bitbucket.org/blog/deprecating-tlsv1-tlsv1-1-2018-12-01 ... unfortunately Bibucket has stopped a lot of (fully-up-to-date) software from accessing repositories, very irritating. For example, anyone using Debian Jessie appears to be affected, see https://packages.debian.org/jessie/mercurial and https://www.mercurial-scm.org/wiki/SecureConnections ... we are getting "abort: error: [SSL: WRONG_VERSION_NUMBER] wrong version number (_ssl.c:581)" on all our servers :-(.

  2. Log in to comment